package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.annotation.FieldDescriber;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.NotEmpty;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;

/**
 * @Author: sunxiang
 * @Date: 2018/6/8 8:59
 * @Description:
 **/
public class DataCatelogModel {

    private Long id;

    @NotEmpty
    @FieldDescriber(descripton = "信息资源名称")
    private String dataName;
    @NotEmpty
    @FieldDescriber(descripton = "信息资源代码")
    private String dataCode;

    @NotNull(message="{notnull.message}")
    @FieldDescriber(descripton = "信息资源提供方")
    private Long supplier;
    private String supplierName;

    @NotNull(message="{notnull.message}")
    @FieldDescriber(descripton = "提供方内部部门")
    private Long supplierDept;
   /* @NotEmpty
    @FieldDescriber(descripton = "提供方内部部门")*/
    private String supplierDeptName;

    @NotEmpty
    @FieldDescriber(descripton = "资源提供方代码")
    private String supplierCode;
    @NotEmpty
    @FieldDescriber(descripton = "信息资源摘要")
    private String dataSummary;
    @NotEmpty
    @FieldDescriber(descripton = "信息资源格式分类")
    private String dataSourceType;
    @NotEmpty
    @FieldDescriber(descripton = "信息资源格式类型")
    private String dataSource;
    @NotEmpty
    @FieldDescriber(descripton = "更新周期")
    private String updateCycle;
    @NotNull(message="{notnull.message}")
    @FieldDescriber(descripton = "发布日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date publishTime;
    @NotEmpty
    @FieldDescriber(descripton = "目录分类")
    private String catelogType;

    private Long catelogBasic;

    private Long catelogSector;

    private Long catelogTheme;

    private Long catelogCustom;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;
    private String dataSourceOther;

    private String relation;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getDataCode() {
        return dataCode;
    }

    public void setDataCode(String dataCode) {
        this.dataCode = dataCode;
    }

    public Long getSupplier() {
        return supplier;
    }

    public void setSupplier(Long supplier) {
        this.supplier = supplier;
    }

    public Long getSupplierDept() {
        return supplierDept;
    }

    public void setSupplierDept(Long supplierDept) {
        this.supplierDept = supplierDept;
    }

    public String getSupplierCode() {
        return supplierCode;
    }

    public void setSupplierCode(String supplierCode) {
        this.supplierCode = supplierCode;
    }

    public String getDataSummary() {
        return dataSummary;
    }

    public void setDataSummary(String dataSummary) {
        this.dataSummary = dataSummary;
    }

    public String getDataSourceType() {
        return dataSourceType;
    }

    public void setDataSourceType(String dataSourceType) {
        this.dataSourceType = dataSourceType;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public String getUpdateCycle() {
        return updateCycle;
    }

    public void setUpdateCycle(String updateCycle) {
        this.updateCycle = updateCycle;
    }

    public Date getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(Date publishTime) {
        this.publishTime = publishTime;
    }

    public String getCatelogType() {
        return catelogType;
    }

    public void setCatelogType(String catelogType) {
        this.catelogType = catelogType;
    }

    public Long getCatelogBasic() {
        return catelogBasic;
    }

    public void setCatelogBasic(Long catelogBasic) {
        this.catelogBasic = catelogBasic;
    }

    public Long getCatelogSector() {
        return catelogSector;
    }

    public void setCatelogSector(Long catelogSector) {
        this.catelogSector = catelogSector;
    }

    public Long getCatelogTheme() {
        return catelogTheme;
    }

    public void setCatelogTheme(Long catelogTheme) {
        this.catelogTheme = catelogTheme;
    }

    public Long getCatelogCustom() {
        return catelogCustom;
    }

    public void setCatelogCustom(Long catelogCustom) {
        this.catelogCustom = catelogCustom;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }

    public String getDataSourceOther() {
        return dataSourceOther;
    }

    public void setDataSourceOther(String dataSourceOther) {
        this.dataSourceOther = dataSourceOther;
    }

    public String getRelation() {
        return relation;
    }

    public void setRelation(String relation) {
        this.relation = relation;
    }
}
